| Flutter Linux Embedder |

Public Attributes | List of all members
_FlView Struct Reference

## Public Attributes
GtkBox | parent_instance
GtkGLArea * | gl_area
FlEngine * | engine
guint | on_pre_engine_restart_cb_id
FlutterViewId | view_id
FlRendererGdk * | renderer
GdkRGBA * | background_color
gboolean | have_first_frame
FlWindowStateMonitor * | window_state_monitor
FlScrollingManager * | scrolling_manager
FlPointerManager * | pointer_manager
FlTouchManager * | touch_manager
FlKeyboardManager * | keyboard_manager
FlKeyboardHandler * | keyboard_handler
FlTextInputHandler * | text_input_handler
FlViewAccessible * | view_accessible
guint | cursor_changed_cb_id
GCancellable * | cancellable

## Detailed Description

Definition at line 32 of file fl_view.cc.

## Member Data Documentation

## ◆ background_color

GdkRGBA* _FlView::background_color

Definition at line 51 of file fl_view.cc.

## ◆ cancellable

GCancellable* _FlView::cancellable

Definition at line 81 of file fl_view.cc.

## ◆ cursor_changed_cb_id

guint _FlView::cursor_changed_cb_id

Definition at line 79 of file fl_view.cc.

## ◆ engine

FlEngine* _FlView::engine

Definition at line 39 of file fl_view.cc.

## ◆ gl_area

GtkGLArea* _FlView::gl_area

Definition at line 36 of file fl_view.cc.

## ◆ have_first_frame

gboolean _FlView::have_first_frame

Definition at line 54 of file fl_view.cc.

## ◆ keyboard_handler

FlKeyboardHandler* _FlView::keyboard_handler

Definition at line 72 of file fl_view.cc.

## ◆ keyboard_manager

FlKeyboardManager* _FlView::keyboard_manager

Definition at line 69 of file fl_view.cc.

## ◆ on_pre_engine_restart_cb_id

guint _FlView::on_pre_engine_restart_cb_id

Definition at line 42 of file fl_view.cc.

## ◆ parent_instance

GtkBox _FlView::parent_instance

Definition at line 33 of file fl_view.cc.

## ◆ pointer_manager

FlPointerManager* _FlView::pointer_manager

Definition at line 63 of file fl_view.cc.

## ◆ renderer

FlRendererGdk* _FlView::renderer

Definition at line 48 of file fl_view.cc.

## ◆ scrolling_manager

FlScrollingManager* _FlView::scrolling_manager

Definition at line 60 of file fl_view.cc.

## ◆ text_input_handler

FlTextInputHandler* _FlView::text_input_handler

Definition at line 73 of file fl_view.cc.

## ◆ touch_manager

FlTouchManager* _FlView::touch_manager

Definition at line 66 of file fl_view.cc.

## ◆ view_accessible

FlViewAccessible* _FlView::view_accessible

Definition at line 76 of file fl_view.cc.

## ◆ view_id

FlutterViewId _FlView::view_id

Definition at line 45 of file fl_view.cc.

## ◆ window_state_monitor

FlWindowStateMonitor* _FlView::window_state_monitor

Definition at line 57 of file fl_view.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_view.cc